#!/usr/bin/python
# -*- coding: UTF-8 -*-

import logging
import logging.handlers

class Logger(object):
    """
    Логгер
    """
    def __init__(self, name, path):
        self.logger = logging.getLogger(name)
        handler = logging.handlers.WatchedFileHandler(path)
        handler.setFormatter(logging.Formatter('%(asctime)s %(levelname)-8s - %(message)s %(module)5s(%(lineno)s)'))
        self.logger.addHandler(handler)
        self.logger.setLevel(logging.DEBUG)

    def info(self, message):
        self.logger.info(message)

    def error(self, message):
        self.logger.error(message)

    def warn(self, message):
        self.logger.warning(message)