#!/usr/bin/python
# -*- coding: utf-8 -*-

from logger import Logger

import ConfigParser
import bottle
import json
import importlib
from services import payme

class ServiceStub(bottle.Bottle):
    def __init__(self):
        super(ServiceStub, self).__init__()
        self.log = Logger('servicestub', './log/servicestub.log')
        conf = ConfigParser.RawConfigParser()
        conf.read('./conf/config.ini')
        self.host = conf.get('main', 'host') if conf.has_option('main', 'host') else '127.0.0.1'
        self.port = conf.getint('main', 'port') if conf.has_option('main', 'port') else 55555

        self.services = conf.get('main', 'services') if conf.has_option('main', 'services') else ''
        self.services = list(filter(None, map(lambda x: x.strip(), self.services.split(','))))

    def start(self):
        self.log.info(u'Запуск сервиса на %s:%s' % (self.host, self.port))

        # загрузка сервисов.
        # TODO: Сделано на скорую руку, нужно переписать!!!
        for service in self.services:
            try:
                module = importlib.import_module('services.%s' % service)
                module.instance.registerRoutes(self)
            except Exception as e:
                self.log.error(u'Ошибка загрузки модуля %s: %s' % (service, str(e)))

        self.run(host=self.host, port=self.port)


if __name__ == '__main__':
    try:
        ServiceStub().start()
    except Exception as e:
        print(str(e))
